#include <iostream>
#include <string>
#include <algorithm>
#include <cmath>
using namespace std;

int main() {
	char c1, c2;
	cin>>c1>>c2;
	int a1, a2, r, p, d;
	cin >> a1 >> a2;
	r=abs(a1-a2);
	if(r>1)
	{
		cout << "nemoguce";
	}
	else if (r=0)
	{
		for(int i=0; i<a1; i++)
		{
			cout<<c1<<c2;
		}
	}
	else if (r=1)
	{
		if(a1>a2)
		{
			for(int i=0; i<a2; i++)
			{
				cout <<c1<<c2;
			}
			cout<<c1;
		}
		else
		{
			for(int i=0; i<a1; i++)
			{
				cout <<c2<<c1;
			}
			cout<<c2;
		}
		
	}
	return 0;
}